/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:28:20.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.repository;

import cn.com.qmth.examcloud.core.print.entity.SubjectiveQuestionStructure;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface SubjectiveQuestionStructureRepository extends JpaRepository<SubjectiveQuestionStructure, Long>, JpaSpecificationExecutor<SubjectiveQuestionStructure> {

    @Transactional
    @Modifying
    @Query("UPDATE SubjectiveQuestionStructure SET courseName=:courseName WHERE courseId=:courseId")
    int updateCourseNameByCourseId(@Param("courseId") Long courseId, @Param("courseName") String courseName);

    @Transactional
    @Modifying
    @Query("DELETE FROM SubjectiveQuestionStructure WHERE examId=:examId AND paperId=:paperId")
    int deleteByExamIdAndPaperId(@Param("examId") Long examId, @Param("paperId") String paperId);

}