/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:34:17.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.controller;

import cn.com.qmth.examcloud.core.print.common.upyun.SystemProperty;
import cn.com.qmth.examcloud.core.print.common.utils.ElectronUtils;
import cn.com.qmth.examcloud.core.print.common.utils.FileUtils;
import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectService;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectStatisticService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@Controller
public class IndexController {
    @Autowired
    private PrintingProjectStatisticService printingProjectStatisticService;
    @Autowired
    private CourseStatisticService courseStatisticService;
    @Autowired
    private PrintingProjectService printingProjectService;
    @Autowired
    private SystemProperty systemProperty;

    @RequestMapping(value = "/", method = RequestMethod.GET)
    public String index(HttpServletRequest request) throws Exception {
        return "redirect:/doc.html";
    }

    @ResponseBody
    @RequestMapping(value = "/init", method = RequestMethod.GET)
    public void init() {
        printingProjectService.initAllPrintingProject();
        courseStatisticService.initAllCourseStatistic();
        printingProjectStatisticService.initAllPrintingProjectStatistic();
    }

    @ResponseBody
    @RequestMapping(value = "/test", method = RequestMethod.GET)
    public void demo() {
        final String rootDir = systemProperty.getTempDir();
        FileUtils.makeDirs(rootDir);

        String url = "http://baidu.com";
        String path = rootDir + "/test.pdf";
        ElectronUtils.toPdf(systemProperty.getProfile(), systemProperty.getDir(), url, path);
    }

}